UbixOS V2 2.0

Macros
fat_opts.h File Reference
`#include <stdio.h>`
Include dependency graph for fat_opts.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | FAT_BUFFER_SECTORS 1
#define | FAT_BUFFERS 1
#define | FAT_PRINTF(a) printf a
#define | FAT_SECTOR_SIZE 512
#define | FATFS_DIR_LIST_SUPPORT 1
#define | FATFS_INC_FORMAT_SUPPORT 1
#define | FATFS_INC_LFN_SUPPORT 1
#define | FATFS_INC_TIME_DATE_SUPPORT 0
#define | FATFS_INC_WRITE_SUPPORT 1
#define | FATFS_IS_LITTLE_ENDIAN 1
#define | FATFS_MAX_LONG_FILENAME 260
#define | FATFS_MAX_OPEN_FILES 64

## Macro Definition Documentation

## ◆ FAT_BUFFER_SECTORS

#define FAT_BUFFER_SECTORS 1

Definition at line 29 of file fat_opts.h.

## ◆ FAT_BUFFERS

#define FAT_BUFFERS 1

Definition at line 35 of file fat_opts.h.

## ◆ FAT_PRINTF

#define FAT_PRINTF | ( |  | a | ) | printf a

Definition at line 81 of file fat_opts.h.

## ◆ FAT_SECTOR_SIZE

#define FAT_SECTOR_SIZE 512

Definition at line 70 of file fat_opts.h.

## ◆ FATFS_DIR_LIST_SUPPORT

#define FATFS_DIR_LIST_SUPPORT 1

Definition at line 56 of file fat_opts.h.

## ◆ FATFS_INC_FORMAT_SUPPORT

#define FATFS_INC_FORMAT_SUPPORT 1

Definition at line 66 of file fat_opts.h.

## ◆ FATFS_INC_LFN_SUPPORT

#define FATFS_INC_LFN_SUPPORT 1

Definition at line 51 of file fat_opts.h.

## ◆ FATFS_INC_TIME_DATE_SUPPORT

#define FATFS_INC_TIME_DATE_SUPPORT 0

Definition at line 61 of file fat_opts.h.

## ◆ FATFS_INC_WRITE_SUPPORT

#define FATFS_INC_WRITE_SUPPORT 1

Definition at line 45 of file fat_opts.h.

## ◆ FATFS_IS_LITTLE_ENDIAN

#define FATFS_IS_LITTLE_ENDIAN 1

Definition at line 14 of file fat_opts.h.

## ◆ FATFS_MAX_LONG_FILENAME

#define FATFS_MAX_LONG_FILENAME 260

Definition at line 19 of file fat_opts.h.

## ◆ FATFS_MAX_OPEN_FILES

#define FATFS_MAX_OPEN_FILES 64

Definition at line 24 of file fat_opts.h.